Subject: bug#35383: 27.0.50; Complete process of decoding Gnus group names

From: Eli Zaretskii <[email-masked]>
Date: Mon, 29 Apr 2019 18:38:37 +0300

> From: Eric Abrahamsen <[email-masked]>
> Date: Sun, 28 Apr 2019 21:05:40 -0700
> Cc: [email-masked]
> 
> What I find a little perplexing is that, testing with emacs 26, an nnml
> active file with multibyte group names gets written to a file that my
> terminal recognizes as utf-8, despite the fact that `nnmail-save-active'
> sets 'coding-system-for-write' to 'raw-text, and disables multibyte. But
> maybe, as Eli mentioned, that has to do with my locale...?

If the original was a valid UTF-8 sequence, writing it out as raw-text
will leave the byte sequences alone, and then it will look like a
UTF-8 encoded text.  So this is kinda expected in many situations.